<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $guarded = ['id'];

    public function productCategory(){
        return $this->belongsTo(ProductCategory::class);
    }

    public function OrderDetail(){
        return $this->hasMany(OrderDetial::class);
    }

    public function cart(){
        return $this->hasMany(Cart::class);
    }
}
